Class | FalseClass
In: | lib/sequel/extensions/blank.rb lib/sequel/extensions/sql_expr.rb
Parent: | Object

The blank extension adds the blank? method to all objects (e.g. Object#blank?).

### Methods

blank? sql_expr

### Public Instance methods

blank?()

false is always blank

[Source]

       # File lib/sequel/extensions/blank.rb, line 5
    5:   def blank?
    6:     true
    7:   end

sql_expr()

Returns a copy of the object wrapped in a Sequel::SQL::BooleanExpression, allowing easy use of Sequel‘s DSL:

      false.sql_expr & :a  # FALSE AND a

[Source]

        # File lib/sequel/extensions/sql_expr.rb, line 52
    52:   def sql_expr
    53:     Sequel::SQL::BooleanExpression.new(:NOOP, self)
    54:   end

[Validate]